core.libraries.yml 27.4 KB
Newer Older
1
2
3
4
# All libraries are defined in alphabetical order.

backbone:
  remote: https://github.com/jashkenas/backbone
5
  version: "1.4.0"
6
7
  license:
    name: MIT
8
    url: https://raw.githubusercontent.com/jashkenas/backbone/1.4.0/LICENSE
9
    gpl-compatible: true
10
  js:
11
    assets/vendor/backbone/backbone-min.js: { weight: -19, minified: true }
12
13
14
15
  dependencies:
    - core/underscore

ckeditor:
16
  remote: https://github.com/ckeditor/ckeditor4
17
  version: "4.16.1"
18
19
  license:
    name: GNU-GPL-2.0-or-later
20
    url: https://raw.githubusercontent.com/ckeditor/ckeditor4/4.16.1/LICENSE.md
21
    gpl-compatible: true
22
  js:
23
    assets/vendor/ckeditor/ckeditor.js: { preprocess: false, minified: true }
24

25
26
27
28
29
30
31
32
33
34
css.escape:
  remote: https://github.com/mathiasbynens/CSS.escape
  version: "1.5.1"
  license:
    name: MIT
    url: https://raw.githubusercontent.com/mathiasbynens/CSS.escape/v1.5.1/LICENSE-MIT.txt
    gpl-compatible: true
  js:
    assets/vendor/css-escape/css.escape.js: { weight: -20 }

35
36
37
drupal:
  version: VERSION
  js:
38
    misc/drupal.js: { weight: -18 }
39
    misc/drupal.init.js: { weight: -17 }
40
  dependencies:
41
    - core/drupalSettings
42
43
  drupalSettings:
    suppressDeprecationErrors: true
44
45
46

drupalSettings:
  version: VERSION
47
48
49
50
  js:
    # Need to specify a negative weight like drupal.js until
    # https://www.drupal.org/node/1945262 is resolved.
    misc/drupalSettingsLoader.js: { weight: -18 }
51
52
53
54
55
56
57
58
59
60
  drupalSettings:
    # These placeholder values will be set by system_js_settings_alter().
    path:
      baseUrl: null
      scriptPath: null
      pathPrefix: null
      currentPath: null
      currentPathIsAdmin: null
      isFront: null
      currentLanguage: null
61
    pluralDelimiter: null
62
63
64
65
66
67
68
69
70
71
72
73
74

drupal.active-link:
  version: VERSION
  js:
    misc/active-link.js: {}
  dependencies:
    - core/drupal
    - core/drupalSettings

drupal.ajax:
  version: VERSION
  js:
    misc/ajax.js: {}
75
76
77
78
79
80
  drupalSettings:
    # These placeholder values will be set by system_js_settings_alter().
    ajaxPageState:
      libraries: null
      theme: null
      theme_token: null
81
    ajaxTrustedUrl: {}
82
83
84
85
86
87
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings
    - core/drupal.progress
    - core/jquery.once
88
    - core/tabbable
89
90
91
92
93
94
95
96
97
98
99
100

drupal.announce:
  version: VERSION
  js:
    misc/announce.js: {}
  dependencies:
    - core/drupal
    - core/drupal.debounce

drupal.autocomplete:
  version: VERSION
  js:
101
    misc/autocomplete.js: { weight: -1 }
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
    # The remaining JavaScript assets previously came from core/jquery.ui, a
    # deprecated library.
    # All weights are based on on the requirements defined within each file.
    # @todo replace with solution in https://drupal.org/node/3076171
    assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js: { weight: -11.7, minified: true }
    assets/vendor/jquery.ui/ui/labels-min.js: { weight: -11.7, minified: true }
    assets/vendor/jquery.ui/ui/widgets/menu-min.js: { weight: -11.7, minified: true }
    assets/vendor/jquery.ui/ui/data-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/disable-selection-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/escape-selector-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/focusable-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/form-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/ie-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/jquery-1-7-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/keycode-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/plugin-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/safe-active-element-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/safe-blur-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/scroll-parent-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/unique-id-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/widget-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/version-min.js: { weight: -11.9, minified: true }
  # All CSS assets previously came from core/jquery.ui, a deprecated library.
  # @todo replace with solution found in https://drupal.org/node/3076171
  css:
    component:
      assets/vendor/jquery.ui/themes/base/autocomplete.css: { weight: -11.7 }
      assets/vendor/jquery.ui/themes/base/menu.css: { weight: -11.7 }
      assets/vendor/jquery.ui/themes/base/core.css: { weight: -11.8 }
    theme:
      assets/vendor/jquery.ui/themes/base/theme.css: { weight: -11.8 }
133
134
135
136
137
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings
    - core/drupal.ajax
138
    - core/tabbable.jquery.shim
139
140
    - core/drupal.jquery.position

141

142
143
144
145
146
drupal.array.find:
  version: VERSION
  js:
    misc/polyfills/array.find.js: { weight: -20 }

147
148
149
150
151
152
153
154
155
156
157
158
drupal.batch:
  version: VERSION
  js:
    misc/batch.js: { cache: false }
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings
    - core/drupal.ajax
    - core/drupal.progress
    - core/jquery.once

159
160
161
162
163
164
165
drupal.checkbox:
  version: VERSION
  js:
    misc/checkbox.js: {}
  dependencies:
    - core/drupal

166
167
168
drupal.collapse:
  version: VERSION
  js:
169
    misc/details-summarized-content.js: {}
170
    misc/details-aria.js: {}
171
172
173
174
175
176
177
178
    misc/collapse.js: {}
  dependencies:
    - core/jquery
    - core/modernizr
    - core/drupal
    - core/drupal.form
    - core/jquery.once

179
180
181
182
183
184
185
drupal.date:
  version: VERSION
  js:
    misc/date.js: {}
  dependencies:
    - core/drupal
    - core/modernizr
186
    - core/once
187

188
189
190
191
192
193
194
195
196
197
198
drupal.debounce:
  version: VERSION
  js:
    misc/debounce.js: {}
  dependencies:
    # @todo Remove Drupal dependency.
    - core/drupal

drupal.dialog:
  version: VERSION
  js:
199
200
201
    misc/dialog/dialog.js: {}
    misc/dialog/dialog.position.js: {}
    misc/dialog/dialog.jquery-ui.js: {}
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
    # The remaining JavaScript assets previously came from core/jquery.ui, a
    # deprecated library.
    # All weights are based on on the requirements defined within each file.
    # @todo replace with solution in https://drupal.org/node/2158943
    assets/vendor/jquery.ui/ui/widgets/dialog-min.js: { weight: -11.4, minified: true }
    assets/vendor/jquery.ui/ui/widgets/button-min.js: { weight: -11.5, minified: true }
    assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js: { weight: -11.6, minified: true }
    assets/vendor/jquery.ui/ui/widgets/draggable-min.js: { weight: -11.6, minified: true }
    assets/vendor/jquery.ui/ui/widgets/resizable-min.js: { weight: -11.6, minified: true }
    assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js: { weight: -11.7, minified: true }
    assets/vendor/jquery.ui/ui/form-reset-mixin-min.js: { weight: -11.7, minified: true }
    assets/vendor/jquery.ui/ui/labels-min.js: { weight: -11.7, minified: true }
    assets/vendor/jquery.ui/ui/widgets/mouse-min.js: { weight: -11.7, minified: true }
    assets/vendor/jquery.ui/ui/data-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/disable-selection-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/form-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/jquery-1-7-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/scroll-parent-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/unique-id-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/escape-selector-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/focusable-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/ie-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/keycode-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/plugin-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/safe-active-element-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/safe-blur-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/widget-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/version-min.js: { weight: -11.9, minified: true }
  # All CSS assets previously came from core/jquery.ui, a deprecated library.
  # @todo replace with solution found in https://drupal.org/node/2158943
  css:
    component:
      assets/vendor/jquery.ui/themes/base/dialog.css: { weight: -11.4 }
      assets/vendor/jquery.ui/themes/base/button.css: { weight: -11.5 }
      assets/vendor/jquery.ui/themes/base/checkboxradio.css: { weight: -11.6 }
      assets/vendor/jquery.ui/themes/base/resizable.css: { weight: -11.6 }
      assets/vendor/jquery.ui/themes/base/controlgroup.css: { weight: -11.7 }
      assets/vendor/jquery.ui/themes/base/core.css: { weight: -11.8 }
    theme:
      assets/vendor/jquery.ui/themes/base/theme.css: { weight: -11.8 }
242
243
244
245
246
247
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings
    - core/drupal.debounce
    - core/drupal.displace
248
    - core/tabbable.jquery.shim
249
    - core/drupal.jquery.position
250
251
252
253

drupal.dialog.ajax:
  version: VERSION
  js:
254
    misc/dialog/dialog.ajax.js: {}
255
256
257
258
259
260
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings
    - core/drupal.ajax
    - core/drupal.dialog
261
    - core/tabbable
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284

drupal.displace:
  version: VERSION
  js:
    misc/displace.js: {}
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupal.debounce

drupal.dropbutton:
  version: VERSION
  js:
    misc/dropbutton/dropbutton.js: {}
  css:
    component:
      misc/dropbutton/dropbutton.css: {}
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings
    - core/jquery.once

285
286
287
288
289
290
291
drupal.element.closest:
  version: VERSION
  js:
    misc/polyfills/element.closest.js: { weight: -20 }
  dependencies:
    - core/drupal.element.matches

292
293
294
295
296
drupal.element.matches:
  version: VERSION
  js:
    misc/polyfills/element.matches.js: { weight: -20 }

297
298
299
300
301
302
303
drupal.entity-form:
  version: VERSION
  js:
    misc/entity-form.js: {}
  dependencies:
    - core/drupal.form

304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
drupal.form:
  version: VERSION
  js:
    misc/form.js: {}
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupal.debounce
    - core/jquery.once

drupal.machine-name:
  version: VERSION
  js:
    misc/machine-name.js: {}
  dependencies:
    - core/jquery
    - core/jquery.once
    - core/drupal
    - core/drupalSettings
323
    - core/drupal.form
324

325
326
327
328
329
330
331
332
drupal.message:
  version: VERSION
  js:
    misc/message.js: {}
  dependencies:
    - core/drupal
    - core/drupal.announce

333
334
335
336
337
drupal.nodelist.foreach:
  version: VERSION
  js:
    misc/polyfills/nodelist.foreach.js: { weight: -20 }

338
339
340
341
342
drupal.object.assign:
  version: VERSION
  js:
    misc/polyfills/object.assign.js: { weight: -20 }

343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
drupal.progress:
  version: VERSION
  js:
    misc/progress.js: {}
  dependencies:
    - core/drupal
    - core/jquery
    - core/drupalSettings

drupal.states:
  version: VERSION
  js:
    misc/states.js: {}
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings
    - core/jquery.once

drupal.tabbingmanager:
  version: VERSION
  js:
    misc/tabbingmanager.js: {}
  dependencies:
    - core/jquery
    - core/drupal
369
    - core/tabbable
370
371
372
373

drupal.tabledrag:
  version: VERSION
  js:
374
    misc/tabledrag.js: { weight: -1 }
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings
    - core/jquery.once

drupal.tableheader:
  version: VERSION
  js:
    misc/tableheader.js: {}
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings
    - core/jquery.once
    - core/drupal.displace

drupal.tableresponsive:
  version: VERSION
  js:
    misc/tableresponsive.js: {}
  dependencies:
    - core/jquery
    - core/drupal
    - core/jquery.once

drupal.tableselect:
  version: VERSION
  js:
    misc/tableselect.js: {}
  dependencies:
    - core/drupal
407
    - core/drupal.checkbox
408
    - core/jquery
409
    - core/jquery.once
410
411
412
413
414
415
416

drupal.timezone:
  version: VERSION
  js:
    misc/timezone.js: {}
  dependencies:
    - core/jquery
417
    - core/jquery.once
418
419
420
421
422
423
    - core/drupal

drupal.vertical-tabs:
  version: VERSION
  js:
    # Load before core/drupal.collapse.
424
    misc/vertical-tabs.js: { weight: -1 }
425
426
427
428
429
  css:
    component:
      misc/vertical-tabs.css: {}
  dependencies:
    - core/jquery
430
    - core/jquery.once
431
432
433
434
    - core/drupal
    - core/drupalSettings
    - core/drupal.form

435
436
437
438
es6-promise:
  version: "4.2.8"
  license:
    name: MIT
439
    url: https://raw.githubusercontent.com/stefanpenner/es6-promise/v4.2.8/LICENSE
440
441
442
443
    gpl-compatible: true
  js:
    assets/vendor/es6-promise/es6-promise.auto.min.js: { weight: -20, minified: true }

444
445
jquery:
  remote: https://github.com/jquery/jquery
446
  version: "3.6.0"
447
448
  license:
    name: MIT
449
    url: https://raw.githubusercontent.com/jquery/jquery/3.6.0/LICENSE.txt
450
    gpl-compatible: true
451
  js:
452
    assets/vendor/jquery/jquery.min.js: { minified: true, weight: -20 }
453
454

jquery.cookie:
455
  version: VERSION
456
  js:
457
    misc/jquery.cookie.shim.js: {}
458
459
  dependencies:
    - core/jquery
460
461
462
    - core/drupal
    - core/js-cookie
  deprecated: The %library_id% asset library is deprecated in Drupal 9.0.0 and will be removed in Drupal 10.0.0. Use the core/js-cookie library instead. See https://www.drupal.org/node/3104677
463
464
465
466

jquery.farbtastic:
  remote: https://github.com/mattfarina/farbtastic
  # @todo Ping @robloach or @mattfarina to retroactively create this release.
467
  version: "1.2"
468
469
  license:
    name: GNU-GPL-2.0-or-later
470
    url: https://raw.githubusercontent.com/mattfarina/farbtastic/master/LICENSE.txt
471
    gpl-compatible: true
472
  js:
473
    assets/vendor/farbtastic/farbtastic.js: { minified: true }
474
475
476
477
478
479
480
  css:
    component:
      assets/vendor/farbtastic/farbtastic.css: {}
  dependencies:
    - core/jquery

jquery.form:
481
  remote: https://github.com/jquery-form/form
482
  version: "4.3.0"
483
484
  license:
    name: GNU-GPL-2.0-or-later
485
    url: https://raw.githubusercontent.com/jquery-form/form/master/LICENSE
486
    gpl-compatible: true
487
  js:
488
    assets/vendor/jquery-form/jquery.form.min.js: { minified: true }
489
490
491
  dependencies:
    - core/jquery

492
493
jquery.joyride:
  remote: https://github.com/zurb/joyride
494
495
496
497
498
499
  # We rely on a fix (commit c2b3866) that occurred after 2.1.0 was released.
  # @see https://www.drupal.org/node/2898808.
  # @todo Update to 2.1.1 or later when that's released.
  # Version is set at 2.1.0.1 allowing version_compare to consider this lower
  # than 2.1.1 however greater than 2.1.0
  version: "2.1.0.1"
500
501
  license:
    name: MIT
502
    url: https://raw.githubusercontent.com/zurb/joyride/v2.1.0/README.markdown
503
    gpl-compatible: true
504
  js:
505
    assets/vendor/jquery-joyride/jquery.joyride-2.1.js: { }
506
  deprecated: The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. Use the core/shepherd library instead. See https://www.drupal.org/node/3195234
507
508
509
  dependencies:
    - core/jquery

510
511
512
513
514
515
516
517
518
519
shepherd:
  remote: https://github.com/shipshapecode/shepherd
  version: "8.3.1"
  license:
    name: MIT
    url: https://raw.githubusercontent.com/shipshapecode/shepherd/v8.3.1/LICENSE
    gpl-compatible: true
  js:
    assets/vendor/shepherd/shepherd.min.js: { minified: true }

520
521
jquery.once:
  remote: https://github.com/RobLoach/jquery-once
522
  version: "2.2.3"
523
524
  license:
    name: GNU-GPL-2.0-or-later
525
    url: https://raw.githubusercontent.com/RobLoach/jquery-once/2.2.3/LICENSE.md
526
    gpl-compatible: true
527
  js:
528
    assets/vendor/jquery-once/jquery.once.min.js: { weight: -19, minified: true }
529
530
  dependencies:
    - core/jquery
531
532
533
534
535
536
537
538
539
540
    - core/jquery.once.bc

jquery.once.bc:
  version: VERSION
  js:
    misc/jquery.once.bc.js: { weight: -19 }
  dependencies:
    - core/jquery
    - core/once
    - core/drupal.object.assign
541
542

jquery.ui:
543
  version: &jquery_ui_version 1.12.1
544
  license: &jquery_ui_license
545
    name: Public Domain
546
    url: https://raw.githubusercontent.com/jquery/jquery-ui/1.12.1/LICENSE.txt
547
    gpl-compatible: true
548
  js:
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
    assets/vendor/jquery.ui/ui/labels-min.js: { weight: -11.7, minified: true }
    assets/vendor/jquery.ui/ui/data-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/disable-selection-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/escape-selector-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/focusable-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/form-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/ie-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/jquery-1-7-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/keycode-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/plugin-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/safe-active-element-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/safe-blur-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/scroll-parent-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/unique-id-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/version-min.js: { weight: -11.9, minified: true }
564
565
  css:
    component:
566
      assets/vendor/jquery.ui/themes/base/core.css: { weight: -11.8 }
567
    theme:
568
      assets/vendor/jquery.ui/themes/base/theme.css: { weight: -11.8 }
569
570
  dependencies:
    - core/jquery
571
    - core/tabbable.jquery.shim
572
  deprecated: &jquery_ui_unused_deprecated The "%library_id%" asset library is deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. See https://www.drupal.org/node/3067969
573
574

jquery.ui.autocomplete:
575
576
  version: *jquery_ui_version
  license: *jquery_ui_license
577
  js:
578
    assets/vendor/jquery.ui/ui/widgets/autocomplete-min.js: { weight: -11.7, minified: true }
579
580
  css:
    component:
581
      assets/vendor/jquery.ui/themes/base/autocomplete.css: { weight: -11.7 }
582
583
584
585
586
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.widget
    - core/jquery.ui.position
    - core/jquery.ui.menu
587
  deprecated: *jquery_ui_unused_deprecated
588
589

jquery.ui.button:
590
591
  version: *jquery_ui_version
  license: *jquery_ui_license
592
  js:
593
594
595
    assets/vendor/jquery.ui/ui/widgets/button-min.js: { weight: -11.5, minified: true }
    assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js: { weight: -11.6, minified: true }
    assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js: { weight: -11.7, minified: true }
596
597
  css:
    component:
598
599
600
      assets/vendor/jquery.ui/themes/base/button.css: { weight: -11.5 }
      assets/vendor/jquery.ui/themes/base/checkboxradio.css: { weight: -11.6 }
      assets/vendor/jquery.ui/themes/base/controlgroup.css: { weight: -11.7 }
601
602
603
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.widget
604
  deprecated: *jquery_ui_unused_deprecated
605

606
jquery.ui.dialog:
607
608
609
  version: *jquery_ui_version
  license: *jquery_ui_license
  js:
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
    # All weights are based on on the requirements defined within each file.
    assets/vendor/jquery.ui/ui/widgets/dialog-min.js: { weight: -11.4, minified: true }
    assets/vendor/jquery.ui/ui/widgets/button-min.js: { weight: -11.5, minified: true }
    assets/vendor/jquery.ui/ui/widgets/checkboxradio-min.js: { weight: -11.6, minified: true }
    assets/vendor/jquery.ui/ui/widgets/draggable-min.js: { weight: -11.6, minified: true }
    assets/vendor/jquery.ui/ui/widgets/resizable-min.js: { weight: -11.6, minified: true }
    assets/vendor/jquery.ui/ui/widgets/controlgroup-min.js: { weight: -11.7, minified: true }
    assets/vendor/jquery.ui/ui/form-reset-mixin-min.js: { weight: -11.7, minified: true }
    assets/vendor/jquery.ui/ui/labels-min.js: { weight: -11.7, minified: true }
    assets/vendor/jquery.ui/ui/widgets/mouse-min.js: { weight: -11.7, minified: true }
    assets/vendor/jquery.ui/ui/data-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/disable-selection-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/escape-selector-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/focusable-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/form-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/ie-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/jquery-1-7-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/keycode-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/plugin-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/safe-active-element-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/safe-blur-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/scroll-parent-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/unique-id-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/widget-min.js: { weight: -11.8, minified: true }
    assets/vendor/jquery.ui/ui/version-min.js: { weight: -11.9, minified: true }
635
636
  css:
    component:
637
638
639
640
641
642
643
644
      assets/vendor/jquery.ui/themes/base/dialog.css: { weight: -11.4 }
      assets/vendor/jquery.ui/themes/base/button.css: { weight: -11.5 }
      assets/vendor/jquery.ui/themes/base/checkboxradio.css: { weight: -11.6 }
      assets/vendor/jquery.ui/themes/base/resizable.css: { weight: -11.6 }
      assets/vendor/jquery.ui/themes/base/controlgroup.css: { weight: -11.7 }
      assets/vendor/jquery.ui/themes/base/core.css: { weight: -11.8 }
    theme:
      assets/vendor/jquery.ui/themes/base/theme.css: { weight: -11.8 }
645
646
  dependencies:
    - core/jquery
647
    - core/tabbable.jquery.shim
648
    - core/drupal.jquery.position
649
  deprecated: *jquery_ui_unused_deprecated
650
651

jquery.ui.draggable:
652
653
  version: *jquery_ui_version
  license: *jquery_ui_license
654
  js:
655
    assets/vendor/jquery.ui/ui/widgets/draggable-min.js: { minified: true }
656
657
658
659
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.mouse
    - core/jquery.ui.widget
660
  deprecated: *jquery_ui_unused_deprecated
661
662

jquery.ui.menu:
663
664
  version: *jquery_ui_version
  license: *jquery_ui_license
665
  js:
666
    assets/vendor/jquery.ui/ui/widgets/menu-min.js: { weight: -11.7, minified: true }
667
668
  css:
    component:
669
      assets/vendor/jquery.ui/themes/base/menu.css: { weight: -11.7 }
670
671
  dependencies:
    - core/jquery.ui
672
    - core/jquery.ui.position
673
    - core/jquery.ui.widget
674
  deprecated: *jquery_ui_unused_deprecated
675
676

jquery.ui.mouse:
677
678
  version: *jquery_ui_version
  license: *jquery_ui_license
679
  js:
680
681
    assets/vendor/jquery.ui/ui/widgets/mouse-min.js: { weight: -11.7, minified: true }
    assets/vendor/jquery.ui/ui/ie-min.js: { weight: -11.8, minified: true }
682
683
  dependencies:
    - core/jquery.ui.widget
684
  deprecated: *jquery_ui_unused_deprecated
685

686
687
688
689
690
691
692
693
694
695
696
697
drupal.jquery.position:
  # For most positioning needs, the core/popperjs library should be used. This
  # is a modified version of jQuery UI position for that does not require any
  # jQuery UI assets, only jQuery. It is provided by core for use with
  # pre-existing libraries that expect the jQuery UI position API. Popperjs is
  # recommended for any new uses.
  version: VERSION
  js:
    misc/position.js: {}
  dependencies:
    - core/jquery

698
jquery.ui.position:
699
700
  version: *jquery_ui_version
  license: *jquery_ui_license
701
  dependencies:
702
    - core/drupal.jquery.position
703
  deprecated: *jquery_ui_unused_deprecated
704
705

jquery.ui.resizable:
706
707
  version: *jquery_ui_version
  license: *jquery_ui_license
708
  js:
709
    assets/vendor/jquery.ui/ui/widgets/resizable-min.js: { weight: -11.6, minified: true }
710
711
  css:
    component:
712
      assets/vendor/jquery.ui/themes/base/resizable.css: { weight: -11.6 }
713
714
715
716
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.widget
    - core/jquery.ui.mouse
717
  deprecated: *jquery_ui_unused_deprecated
718
719

jquery.ui.widget:
720
721
  version: *jquery_ui_version
  license: *jquery_ui_license
722
  js:
723
    assets/vendor/jquery.ui/ui/widget-min.js: { weight: -11.8, minified: true }
724
725
  dependencies:
    - core/jquery.ui
726
  deprecated: *jquery_ui_unused_deprecated
727
728

modernizr:
729
730
  # Block the page from being loaded until Modernizr is initialized.
  header: true
731
  remote: https://github.com/Modernizr/Modernizr
732
733
  license:
    name: MIT
734
    url: https://modernizr.com/license/
735
    gpl-compatible: true
736
  version: "3.11.7"
737
  js:
738
    assets/vendor/modernizr/modernizr.min.js: { preprocess: 0, weight: -21, minified: true }
739
    misc/modernizr-additional-tests.js: { preprocess: 0, weight: -20 }
740
741
742

normalize:
  remote: https://github.com/necolas/normalize.css
743
  version: "8.0.1"
744
745
  license:
    name: MIT
746
    url: https://raw.githubusercontent.com/necolas/normalize.css/8.0.1/LICENSE.md
747
    gpl-compatible: true
748
749
  css:
    base:
750
      assets/vendor/normalize-css/normalize.css: { weight: -20 }
751
      misc/normalize-fixes.css: { weight: -19 }
752

753
754
once:
  remote: https://git.drupalcode.org/project/once
755
  version: "1.0.1"
756
757
  license:
    name: GNU-GPL-2.0-or-later
758
    url: https://git.drupalcode.org/project/once/-/raw/v1.0.1/LICENSE.md
759
760
761
762
763
764
    gpl-compatible: true
  js:
    assets/vendor/once/once.min.js: { weight: -19, minified: true }
  dependencies:
    - core/drupal.element.matches

765
766
picturefill:
  remote: https://github.com/scottjehl/picturefill
767
  version: "3.0.3"
768
769
  license:
    name: MIT
770
    url: https://raw.githubusercontent.com/scottjehl/picturefill/3.0.3/LICENSE
771
    gpl-compatible: true
772
  js:
773
    assets/vendor/picturefill/picturefill.min.js: { weight: -10, minified: true }
774

775
popperjs:
776
  version: "2.9.2"
777
778
  license:
    name: MIT
779
    url: https://raw.githubusercontent.com/popperjs/popper-core/v2.9.2/LICENSE.md
780
781
782
    gpl-compatible: true
  js:
    assets/vendor/popperjs/popper.min.js: { minified: true }
783
784
785
786
  dependencies:
    - core/drupal.array.find
    - core/es6-promise
    - core/drupal.object.assign
787

788
789
sortable:
  remote: https://github.com/SortableJS/Sortable
790
  version: "1.13.0"
791
792
  license:
    name: MIT
793
    url: https://raw.githubusercontent.com/SortableJS/Sortable/1.13.0/LICENSE
794
795
796
797
    gpl-compatible: true
  js:
    assets/vendor/sortable/Sortable.min.js: { minified: true }

798
799
tabbable:
  remote: https://github.com/focus-trap/tabbable
800
  version: "5.2.0"
801
802
  license:
    name: MIT
803
    url: https://raw.githubusercontent.com/focus-trap/tabbable/v5.2.0/LICENSE
804
805
806
807
808
809
810
811
812
813
814
    gpl-compatible: true
  js:
    assets/vendor/tabbable/index.umd.min.js: { weight: -1, minified: true }
  dependencies:
    - core/css.escape

tabbable.jquery.shim:
  version: VERSION
  js:
    misc/jquery.tabbable.shim.js: {}
  dependencies:
815
    - core/drupal
816
817
818
    - core/tabbable
    - core/jquery

819
820
underscore:
  remote: https://github.com/jashkenas/underscore
821
  version: "1.13.1"
822
823
  license:
    name: MIT
824
    url: https://raw.githubusercontent.com/jashkenas/underscore/1.13.1/LICENSE
825
    gpl-compatible: true
826
  js:
827
    assets/vendor/underscore/underscore-min.js: { weight: -20, minified: true }
828
829
830
831
832
833
834
835
836
837
838
839
840
841
842
843
844
845
846
847
848

drupal.dialog.off_canvas:
  version: VERSION
  js:
    misc/dialog/off-canvas.js: {}
  css:
    base:
      misc/dialog/off-canvas.reset.css: {}
      misc/dialog/off-canvas.base.css: {}
      misc/dialog/off-canvas.css: {}
      # Add group setting to make sure this CSS load before any jQuery UI Dialog
      # CSS.
      misc/dialog/off-canvas.theme.css: { group: 200 }
    component:
      misc/dialog/off-canvas.motion.css: {}
      misc/dialog/off-canvas.button.css: {}
      misc/dialog/off-canvas.form.css: {}
      misc/dialog/off-canvas.table.css: {}
      misc/dialog/off-canvas.details.css: {}
      misc/dialog/off-canvas.tabledrag.css: {}
      misc/dialog/off-canvas.dropbutton.css: {}
849
      misc/dialog/off-canvas.layout.css: {}
850
851
852
853
854
855
856
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupal.ajax
    - core/drupal.announce
    - core/drupal.dialog
    - core/drupal.dialog.ajax
857
858
859

js-cookie:
  remote: https://github.com/js-cookie/js-cookie
860
  version: "v3.0.0-rc0"
861
862
  license:
    name: MIT
863
    url: https://raw.githubusercontent.com/js-cookie/js-cookie/v3.0.0-rc.0/LICENSE
864
865
866
    gpl-compatible: true
  js:
    assets/vendor/js-cookie/js.cookie.min.js: {}